@import "variables";
@import "layout";
@import "shared.stylesheet";

:host {
  display: flex;
  margin: $spacing-medium 0;

  @include styles-for-phone-only {
    margin: $spacing-medium;
    overflow: scroll;
  }

  &.--abbreviated {
    .paginator-box {
      display: none;
    }

    .abbreviated-style {
      display: flex;
    }
  }
}

.paginator-box {
  display: flex;
  align-items: center;
  justify-content: center;

  width: 35px;
  height: 35px;

  margin-right: $spacing-small;
  color: $mediumDarkGrey;
  background-color: $paleBlue;
  cursor: pointer;

  @extend .standard-transition;

  &--selected {
    background-color:$textDarkGrey;
    color: white;
  }

  @include styles-for-phone-only {
    min-width: 35px;
    min-height: 35px;
  }
}

.abbreviated-style {
  display: none;

  i {
    cursor: pointer;
    padding: $spacing-mini;

    &:last-of-type {
      margin-left: $spacing-medium;
    }

    &.--disabled {
      opacity: 0.4;
    }
  }
}
